Skip to main content
POST
/
enrichPerson
Enrich person data
curl --request POST \
  --url https://api.parcha.ai/api/v1/enrichPerson \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "full_name": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "company": "<string>",
  "location": "<string>",
  "phone": "<string>",
  "profile": "<string>"
}
'
import requests

url = "https://api.parcha.ai/api/v1/enrichPerson"

payload = {
    "email": "jsmith@example.com",
    "full_name": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "company": "<string>",
    "location": "<string>",
    "phone": "<string>",
    "profile": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    email: 'jsmith@example.com',
    full_name: '<string>',
    first_name: '<string>',
    last_name: '<string>',
    company: '<string>',
    location: '<string>',
    phone: '<string>',
    profile: '<string>'
  })
};

fetch('https://api.parcha.ai/api/v1/enrichPerson', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {},
  "error": "<string>",
  "source": "<string>"
}

Authorizations

Authorization
string
header
required

API key obtained from your Parcha account settings. Include as Bearer token in the Authorization header.

Body

application/json
email
string<email>
full_name
string
first_name
string
last_name
string
company
string
location
string
phone
string
profile
string

Response

Person enrichment successful

status
enum<string>
Available options:
success,
error,
not_found
data
object
error
string
source
string